package com.me.asteroids;

public enum GameMode {

    PLAYING,
    DIED(3f),
    GAME_OVER(4f),
    ;

    private final float modeTimer;

    GameMode() {
        this(0f);
    }

    GameMode(float modeTimer) {
        this.modeTimer = modeTimer;
    }

    public float getTimer() {
        return modeTimer;
    }

}
